e4f609fba2
From-source-git-commit: a24e1272faba2875f9b78fcf42109028af0869bc * switch to dracut-ng upstream fork The original dracut repository is no longer maintained, new initiative was started: https://github.com/dracut-ng/dracut-ng/ * applied additional fixes 9df3cb58a19f38157a615c311356cfd6ae55d2d7 fix(rngd): install system service file 0b65ac224d831cc96da940cce510523c7276a5ec feat(hwdb): add hwdb module to install hwdb.bin on demand 10b86edba3ffe0ce13c5f43ff0193cdf04661358 fix(nvmf): move /etc/nvme/host{nqn,id} requirement to hostonly bad2bc80cdcfac8915374497cc47ce9d5670d015 fix(systemd): explicitly install some libs that will not be statically included 55a56c546bde71fb42c99aadd96e98fca2199823 fix(dracut): move hooks directory from /usr/lib to /var/lib 110fec3e41faf47277447f1c56635c5a876c1f96 feat(ifcfg): minimize s390-specific network configuration aspects b6913f66b6c9e9ea81fd0832405c170876bc993a refactor(ifcfg): delete code duplication using iface_get_subchannels() cbc5eece88b8f6d0e69fdfbb8f34eabb45425c86 fix(znet): append to udev rules so each rd.znet_ifname is effective 7ad6fef8fe110093939c422b5c3b381ebe47e4e9 feat(qeth_rules): remove qeth handling consolidated in 95znet addb383b375fd0db07eacf8a9f5d9b4e23343855 docs(dracut.cmdline): generalize description of rd.znet 86b6e2979999cf5ecce8c76c6230d1f085b3a333 feat(znet): use zdev for consolidated device configuration 1ff6be8aef787513b8143df444a1dd2d696b0944 feat(dasd): minimize dasd handling consolidated in s390-tools a82045ef34bc8c913502eba37b6b9c60709d6997 feat(dasd_mod): minimize dasd handling consolidated in s390-tools 7294e45b5204e47bb8ee2108e2c38c5843e64fac feat(dasd_rules): remove dasd handling consolidated in s390-tools 8d6098969aa9dc34edfd1bc96e6aa0384ae2fb99 feat(zfcp): minimize zfcp handling consolidated in s390-tools 71876ea8c73090741bdf26abb89c28fb260ed575 feat(zfcp_rules): remove zfcp handling consolidated in s390-tools a2c1fc530d8bcbdeaf1806f4a22019052715fc98 refactor(cms): remove now unnecessary inclusion of full s390utils-base cc14fe218861f2855ca88ad03220ecb78d4aa31a refactor(cms): use consolidated network config with zdev from s390-tools 74edb9758da26ef063e4686a595f1d34f07f86f7 refactor(cms): use consolidated dasd config with zdev from s390-tools 3a9b9a5cf507a868f8b3ec33cf686b3a552286c2 refactor(cms): use consolidated zfcp config with zdev from s390-tools 38412977daad049b12273966300d07211674834e refactor(cms): use zdev to simplify handling CMSDASD=... boot option (Possibly also resolves other open issues.) Resolves: RHEL-26887 RHEL-34954 RHEL-35521
55 lines
1.7 KiB
Diff
55 lines
1.7 KiB
Diff
From 10b86edba3ffe0ce13c5f43ff0193cdf04661358 Mon Sep 17 00:00:00 2001
|
|
From: Tomas Bzatek <tbzatek@redhat.com>
|
|
Date: Thu, 21 Sep 2023 14:31:07 +0200
|
|
Subject: [PATCH 21/23] fix(nvmf): move /etc/nvme/host{nqn,id} requirement to
|
|
hostonly
|
|
|
|
When creating initramfs for universal boot image such as an installer,
|
|
we can't include any machine-specific IDs. Let's move the check
|
|
for /etc/nvme/hostnqn and /etc/nvme/hostid files presence to
|
|
the hostonly section to avoid unsatisfied requirements.
|
|
|
|
Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>
|
|
|
|
Resolves: #2266331
|
|
---
|
|
modules.d/95nvmf/module-setup.sh | 8 ++++----
|
|
1 file changed, 4 insertions(+), 4 deletions(-)
|
|
|
|
diff --git a/modules.d/95nvmf/module-setup.sh b/modules.d/95nvmf/module-setup.sh
|
|
index a8f30341..6a1e3f5b 100755
|
|
--- a/modules.d/95nvmf/module-setup.sh
|
|
+++ b/modules.d/95nvmf/module-setup.sh
|
|
@@ -3,8 +3,6 @@
|
|
# called by dracut
|
|
check() {
|
|
require_binaries nvme jq || return 1
|
|
- [ -f /etc/nvme/hostnqn ] || return 255
|
|
- [ -f /etc/nvme/hostid ] || return 255
|
|
|
|
is_nvmf() {
|
|
local _dev=$1
|
|
@@ -36,6 +34,8 @@ check() {
|
|
}
|
|
|
|
[[ $hostonly ]] || [[ $mount_needs ]] && {
|
|
+ [ -f /etc/nvme/hostnqn ] || return 255
|
|
+ [ -f /etc/nvme/hostid ] || return 255
|
|
pushd . > /dev/null
|
|
for_each_host_dev_and_slaves is_nvmf
|
|
local _is_nvmf=$?
|
|
@@ -130,8 +130,8 @@ install() {
|
|
_nvmf_args=$(cmdline)
|
|
[[ "$_nvmf_args" ]] && printf "%s" "$_nvmf_args" >> "${initdir}/etc/cmdline.d/95nvmf-args.conf"
|
|
fi
|
|
- inst_simple "/etc/nvme/hostnqn"
|
|
- inst_simple "/etc/nvme/hostid"
|
|
+ inst_simple -H "/etc/nvme/hostnqn"
|
|
+ inst_simple -H "/etc/nvme/hostid"
|
|
|
|
inst_multiple ip sed
|
|
|
|
--
|
|
2.42.0
|
|
|